/* This file is part of the libopencm3 project.
 *
 * It was generated by the irq2nvic_h script.
 *
 * This part needs to get included in the compilation unit where
 * blocking_handler gets defined due to the way #pragma works.
 */


/** @defgroup CM3_nvic_isrdecls_STM32L0 User interrupt service routines (ISR) defaults for STM32 L0 series
    @ingroup CM3_nvic_isrdecls

    @{*/

void wwdg_isr(void) __attribute__((weak, alias("blocking_handler")));
void pvd_isr(void) __attribute__((weak, alias("blocking_handler")));
void rtc_isr(void) __attribute__((weak, alias("blocking_handler")));
void flash_isr(void) __attribute__((weak, alias("blocking_handler")));
void rcc_isr(void) __attribute__((weak, alias("blocking_handler")));
void exti0_1_isr(void) __attribute__((weak, alias("blocking_handler")));
void exti2_3_isr(void) __attribute__((weak, alias("blocking_handler")));
void exti4_15_isr(void) __attribute__((weak, alias("blocking_handler")));
void tsc_isr(void) __attribute__((weak, alias("blocking_handler")));
void dma1_channel1_isr(void) __attribute__((weak, alias("blocking_handler")));
void dma1_channel2_3_isr(void) __attribute__((weak, alias("blocking_handler")));
void dma1_channel4_5_isr(void) __attribute__((weak, alias("blocking_handler")));
void adc_comp_isr(void) __attribute__((weak, alias("blocking_handler")));
void lptim1_isr(void) __attribute__((weak, alias("blocking_handler")));
void usart4_5_isr(void) __attribute__((weak, alias("blocking_handler")));
void tim2_isr(void) __attribute__((weak, alias("blocking_handler")));
void tim3_isr(void) __attribute__((weak, alias("blocking_handler")));
void tim6_dac_isr(void) __attribute__((weak, alias("blocking_handler")));
void tim7_isr(void) __attribute__((weak, alias("blocking_handler")));
void reserved4_isr(void) __attribute__((weak, alias("blocking_handler")));
void tim21_isr(void) __attribute__((weak, alias("blocking_handler")));
void i2c3_isr(void) __attribute__((weak, alias("blocking_handler")));
void tim22_isr(void) __attribute__((weak, alias("blocking_handler")));
void i2c1_isr(void) __attribute__((weak, alias("blocking_handler")));
void i2c2_isr(void) __attribute__((weak, alias("blocking_handler")));
void spi1_isr(void) __attribute__((weak, alias("blocking_handler")));
void spi2_isr(void) __attribute__((weak, alias("blocking_handler")));
void usart1_isr(void) __attribute__((weak, alias("blocking_handler")));
void usart2_isr(void) __attribute__((weak, alias("blocking_handler")));
void lpuart1_aes_rng_isr(void) __attribute__((weak, alias("blocking_handler")));
void lcd_isr(void) __attribute__((weak, alias("blocking_handler")));
void usb_isr(void) __attribute__((weak, alias("blocking_handler")));

/**@}*/

/* Initialization template for the interrupt vector table. This definition is
 * used by the startup code generator (vector.c) to set the initial values for
 * the interrupt handling routines to the chip family specific _isr weak
 * symbols. */

#define IRQ_HANDLERS \
    [NVIC_WWDG_IRQ] = wwdg_isr, \
    [NVIC_PVD_IRQ] = pvd_isr, \
    [NVIC_RTC_IRQ] = rtc_isr, \
    [NVIC_FLASH_IRQ] = flash_isr, \
    [NVIC_RCC_IRQ] = rcc_isr, \
    [NVIC_EXTI0_1_IRQ] = exti0_1_isr, \
    [NVIC_EXTI2_3_IRQ] = exti2_3_isr, \
    [NVIC_EXTI4_15_IRQ] = exti4_15_isr, \
    [NVIC_TSC_IRQ] = tsc_isr, \
    [NVIC_DMA1_CHANNEL1_IRQ] = dma1_channel1_isr, \
    [NVIC_DMA1_CHANNEL2_3_IRQ] = dma1_channel2_3_isr, \
    [NVIC_DMA1_CHANNEL4_5_IRQ] = dma1_channel4_5_isr, \
    [NVIC_ADC_COMP_IRQ] = adc_comp_isr, \
    [NVIC_LPTIM1_IRQ] = lptim1_isr, \
    [NVIC_USART4_5_IRQ] = usart4_5_isr, \
    [NVIC_TIM2_IRQ] = tim2_isr, \
    [NVIC_TIM3_IRQ] = tim3_isr, \
    [NVIC_TIM6_DAC_IRQ] = tim6_dac_isr, \
    [NVIC_TIM7_IRQ] = tim7_isr, \
    [NVIC_RESERVED4_IRQ] = reserved4_isr, \
    [NVIC_TIM21_IRQ] = tim21_isr, \
    [NVIC_I2C3_IRQ] = i2c3_isr, \
    [NVIC_TIM22_IRQ] = tim22_isr, \
    [NVIC_I2C1_IRQ] = i2c1_isr, \
    [NVIC_I2C2_IRQ] = i2c2_isr, \
    [NVIC_SPI1_IRQ] = spi1_isr, \
    [NVIC_SPI2_IRQ] = spi2_isr, \
    [NVIC_USART1_IRQ] = usart1_isr, \
    [NVIC_USART2_IRQ] = usart2_isr, \
    [NVIC_LPUART1_AES_RNG_IRQ] = lpuart1_aes_rng_isr, \
    [NVIC_LCD_IRQ] = lcd_isr, \
    [NVIC_USB_IRQ] = usb_isr
